import { SvelteComponentTyped } from "svelte";
export interface LocalBusinessJsonLdProps extends JsonLdProps {
    type: string;
    id: string;
    name: string;
    description: string;
    url?: string;
    telephone?: string;
    address: Address | Address[];
    geo?: Geo;
    images?: string[];
    rating?: AggregateRating;
    review?: Review[];
    priceRange?: string;
    servesCuisine?: string | string[];
    sameAs?: string[];
    openingHours?: OpeningHoursSpecification | OpeningHoursSpecification[];
    action?: Action;
    areaServed?: GeoCircle[];
    makesOffer?: Offer[];
    menu?: string;
}
import type { JsonLdProps } from './jsonld.js';
import type { Address, Geo, AggregateRating, Review, Action, GeoCircle, OpeningHoursSpecification, Offer } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: LocalBusinessJsonLdProps['keyOverride'];
        type: LocalBusinessJsonLdProps['type'];
        id: LocalBusinessJsonLdProps['id'];
        name: LocalBusinessJsonLdProps['name'];
        description: LocalBusinessJsonLdProps['description'];
        url?: LocalBusinessJsonLdProps['url'];
        telephone?: LocalBusinessJsonLdProps['telephone'];
        address: LocalBusinessJsonLdProps['address'];
        geo?: LocalBusinessJsonLdProps['geo'];
        images?: LocalBusinessJsonLdProps['images'];
        rating?: LocalBusinessJsonLdProps['rating'];
        review?: LocalBusinessJsonLdProps['review'];
        priceRange?: LocalBusinessJsonLdProps['priceRange'];
        servesCuisine?: LocalBusinessJsonLdProps['servesCuisine'];
        sameAs?: LocalBusinessJsonLdProps['sameAs'];
        openingHours?: LocalBusinessJsonLdProps['openingHours'];
        action?: LocalBusinessJsonLdProps['action'];
        areaServed?: LocalBusinessJsonLdProps['areaServed'];
        makesOffer?: LocalBusinessJsonLdProps['makesOffer'];
        menu?: LocalBusinessJsonLdProps['menu'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type LocalBusinessProps = typeof __propDef.props;
export type LocalBusinessEvents = typeof __propDef.events;
export type LocalBusinessSlots = typeof __propDef.slots;
export default class LocalBusiness extends SvelteComponentTyped<LocalBusinessProps, LocalBusinessEvents, LocalBusinessSlots> {
}
export {};
